Hi Uli, i will look into it - just need some days and will post an update.
Posts
-
RE: JHS Standard Toolbar Problems / SU 2018
-
RE: Power Toolbar (2.5) - fix for 2019
Hi Pherim, i'll have a look at it, though that might be a while as i'm away
-
RE: Draw line by color
ok, and that should be possible using observers, meantime if you were to use 'model._active_edges', instead of a selection - you could capture all edges in the current context - this can be quick.
below is a better example (will use existing material if already used) - right now colour set to orange
@m = Sketchup.active_model ; @ae = @m.active_entities ; @mt = @m.materials ; @mat = nil @m.rendering_options["EdgeColorMode"] = 0 if @mt.to_a.include?(@mt['edge']) @mat = @mt['edge'] else @mat = @mt.add("edge") @mat.color = 255,128,0 end @ae.grep(Sketchup;;Edge).each{|m| m.material = @mat }
-
RE: Draw line by color
.
not sure if this can help.. the below routines will paint all selected edges with random colours
perhaps you can integrate it with a keyboard shortcutthis will paint each edge differently
@m = Sketchup.active_model; @s = @m.selection ; @mt = @m.materials ; @st = @m.styles @m.rendering_options["EdgeColorMode"] = 0 @s.grep(Sketchup;;Edge).each{|m| mat = @mt.add("edge") mat.color = rand(255),rand(255),rand(255) m.material = mat } @s.clear
this will colour the surrent selection set with the same colour
@m = Sketchup.active_model; @s = @m.selection ; @mt = @m.materials @m.rendering_options["EdgeColorMode"] = 0 mat = @mt.add("edge") mat.color = rand(255),rand(255),rand(255) @s.grep(Sketchup;;Edge).each{|m| m.material = mat } @s.clear
-
RE: [Plugin][$] Curviloft 2.0a - 31 Mar 24 (Loft & Skinning)
Hi Fredo, Is there anyway to override the default settings in the toolbar? (even hardcoded!)
like this?
-
RE: [Plugin] Simple Scale Tool Handles v1.2 7-25-2011
.
ops, sorry few copy errors : try this code
@m=Sketchup.active_model;@s=@m.selection;@d=@m.definitions;@s[0].definition.behavior.no_scale_mask = 4 ; Sketchup.send_action('selectScaleTool;')
you can find this in the sketchup API:
Class: Sketchup::Behavior
The Behavior class is used to control the
SketchUp Ruby API Documentation (ruby.sketchup.com)
i don't find it very clear, but more or less: you have 7 numbers (bits). each representing a pair of handles. when the bit is 0, the particular handle pair is visible. when the bit is 1 the handle pair is hidden.
@unknownuser said:
Bit0: disable scale along red (X),
Bit1: disable scale along green (Y),
Bit2: disable scale along blue (Z),
Bit3: disable scale in red/blue plane (X+Z),
Bit4: disable scale in green/blue plane (Y+Z),
Bit5: disable scale in red/green plane (X+Y),
Bit6: disable scale uniform (from corners) (XYZ).take 1111000 as an example. the bits from left to right are bit6, bit5, bit4, bit3, bit2, bit1, bit0. in this example, bits 6, 5, 4,and 3 are all hidden. the only visible ones are the blue, green and red: bits 2, 1 and 0.
this 'combination' is given in the form of an integer. if you take the example above, the 1111000 number is the 'binary' conversion of 120.
here's a place where you can do a conversion:
http://acc6.its.brooklyn.cuny.edu/%7Egurwitz/core5/nav2tool.htmlso, you can decide your combination of ones and zeroes (your seven bits)
use the converter to get the corresponding integer
use the ruby code above to test the integer.hope it makes sense
unfortunately you cannot activate it permanently - you can use the script from this thread (and change the handle numbers you prefer). and yes, there is a lot of 'strange' about sketchup - but we do love it anyway!
.
-
RE: [Plugin] Simple Scale Tool Handles v1.2 7-25-2011
use this in the console to find out the integers (also below are some you can use)
@s=Sketchup.active_model.selection;@d=@m.definitions;@s[0].definition.behavior.no_scale_mask = 127 ; Sketchup.send_action('selectScaleTool;')
ALL VISIBLE = 000000 = 0
NO RED = 0000001 = 1
NO GREEN = 0000010 = 2
NO BLUE = 0000100 = 4
NO FREE DEFORM = 0111000 = 56
CORNERS ONLY = 0111111 = 63
NO HANDLES = 1111111 = 127
ONLY AXES = 1110000 = 120 -
JHS Standard 2017
made a very rough video outlining some of the new items in the latest toolbar.
hopefully more info soon... not enough time...
also small update coming up soon
-
RE: [Plugin] Recall last tool v1.2
just in case anyone else asks, the following is totally fine on my pc:
require 'sketchup.rb' module MATT_Recall class Matt_Observer < Sketchup;;ToolsObserver @@Matt_Model_Toolid = nil @@Matt_Model_Toolid2 = nil def onActiveToolChanged (tools, tool_name, tool_id) puts "Tool Used; #{tool_name}" @@Matt_Model_Toolid = @@Matt_Model_Toolid2 if @@Matt_Model_Toolid2 @@Matt_Model_Toolid2 = tool_id if not([10508].index tool_id) end def self.recall_last if @@Matt_Model_Toolid return Sketchup.send_action(@@Matt_Model_Toolid) else puts "No tool used before." return Sketchup.send_action("selectSelectionTool;") end end end #class Sketchup.active_model.tools.add_observer(Matt_Observer.new) unless file_loaded?(__FILE__) UI.menu('Edit').add_item("RECALL LAST TOOL"){ Matt_Observer.recall_last } file_loaded(__FILE__) end end#module
-
RE: [Plugin] Recall last tool v1.2
mmm... works fine with me - is it wrapped in a module?
require 'sketchup.rb' module MATT_Recall class Matt_Observer < Sketchup;;ToolsObserver @@Matt_Model_Toolid = nil @@Matt_Model_Toolid2 = nil def onActiveToolChanged (tools_object, toolname, toolid) @@Matt_Model_Toolid = @@Matt_Model_Toolid2 if @@Matt_Model_Toolid2 @@Matt_Model_Toolid2 = toolid if not([10508].index toolid) end def self.recall_last if @@Matt_Model_Toolid return Sketchup.send_action(@@Matt_Model_Toolid) else puts "No tool used before." return Sketchup.send_action("selectSelectionTool;") end end end #class Sketchup.active_model.tools.add_observer(Matt_Observer.new) unless file_loaded?(__FILE__) UI.menu('Edit').add_item("RECALL LAST TOOL"){ Matt_Observer.recall_last } file_loaded(__FILE__) end end#module
-
RE: Power Toolbar (2.5) - fix for 2019
posted a new update - should be working with 2017 (thanks to TIG).
also just to let you know, i hope to be working on a fuller update sometime in the new year.
Cheers
-
RE: [Plugin] ExtrudeTools - Full Set
yes, the offset was always a smidge off (only in terms of measurements) - other than that, the script works fine on both (on my super system of course), thanks!
-
RE: [Plugin] ExtrudeTools - Full Set
Hi TIG - if you can - have a look at the offset please, it seems the reading is slightly off (no pun!). didn't have time to look at the code myself
-
RE: Power Toolbar (2.5) - fix for 2019
@onzki said:
Funny It's been a year and I have to reply to my own post LOL.. Anyway, for those with similar question like mine here, I finally found where the missing icons are, Euerka! They're under the main menu "HELP->CADFATHER PACK->POWERBARICONS." It took me a year to discover by accident since I don't often scroll down the help menu path.
These are truly amazing plugins, thanks a lot!sorry, haven't been around - though the answer was on the first post: "- The menu itself is under the Help section, this is due to traffic and it ties up with things to come."
glad you got it working
aware of the glitch with extrude and 2017. busy at present, but as soon as i get some time to dive into the code again, i'll post a working update
Thanks
-
RE: Animator: Parametric Animation plugin - Discussion
@unknownuser said:
Working on animating snow on the top of Fujiyama.
FredoFredo, i have thought many a times you must be living somewhere at those heights...!
-
RE: [REQ]-[Solved]Batch save in given Version and /or fileformat
Deaneau, curious - what did you do?